Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 164743

Summary: net-wireless/wavemon build failure against 2.6.19-gentoo-r5
Product: Gentoo Linux Reporter: Paul Healy <lmiphay>
Component: New packagesAssignee: Peter Johanson (RETIRED) <latexer>
Status: RESOLVED FIXED    
Severity: normal CC: mobile+disabled
Priority: High    
Version: unspecified   
Hardware: x86   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 156669    
Attachments: Simple (minded) fix to get wavemon compiling with 2.6.19-gentoo-r5

Description Paul Healy 2007-01-31 19:21:01 UTC
# emerge wavemon

...
i686-pc-linux-gnu-gcc -march=pentium-m -O2 -pipe -fomit-frame-pointer -I/usr/src
/linux/include   -c -o ui.o ui.c
In file included from iw_if.h:22,
                 from conf.c:31:
/usr/src/linux/include/linux/wireless.h:649: error: expected specifier-qualifier
-list before '__s32'
/usr/src/linux/include/linux/wireless.h:661: error: expected ':', ',', ';', '}' 
or '__attribute__' before '*' token
...

Compile works with: 

diff -ur wavemon-0.4.0b_orig/iw_if.h wavemon-0.4.0b/iw_if.h
--- wavemon-0.4.0b_orig/iw_if.h 2002-12-21 12:18:30.000000000 +0000
+++ wavemon-0.4.0b/iw_if.h      2007-01-31 18:54:38.000000000 +0000
@@ -19,6 +19,8 @@
  */
 
 #include <netdb.h>
+#include <linux/types.h>
+#include <linux/if.h>
 #include <linux/wireless.h>
 
 #define IW_STACKSIZE 1024


wavemon behaves differently with this kernel compared to 2.6.18 (e.g. interface page is missing some signal strength bars, level histogram seems to produce larger values).

Reproducible: Always

Steps to Reproduce:
1. emerge wavemon with kernel 2.6.19-gentoo-r5


Actual Results:  
Compile dies as described

Expected Results:  
Compiled successfully

Portage 2.1.1-r2 (default-linux/x86/2006.1/desktop, gcc-4.1.1, glibc-2.4-r4, 2.6
.19-gentoo-r5 i686)
=================================================================
System uname: 2.6.19-gentoo-r5 i686 Intel(R) Pentium(R) M processor 1600MHz
Gentoo Base System version 1.12.6
Last Sync: Wed, 31 Jan 2007 13:50:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.31
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium-m -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shu
tdown /usr/share/X11/xkb /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms
/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=pentium-m -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.heanet.ie/pub/gentoo/ http://distfiles.gentoo.org htt
 p://www.ibiblio.org/pub/Linux/distributions/gentoo"
LINGUAS="en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress 
--force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/d
istfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
USE="X aac alsa alsa_cards_ali5451 alsa_cards_als4000 alsa_cards_atiixp alsa_car
ds_atiixp-modem alsa_cards_bt87x alsa_cards_ca0106 alsa_cards_cmipci alsa_cards_
emu10k1x alsa_cards_ens1370 alsa_cards_ens1371 alsa_cards_es1938 alsa_cards_es19
68 alsa_cards_fm801 alsa_cards_hda-intel alsa_cards_intel8x0 alsa_cards_intel8x0
m alsa_cards_maestro3 alsa_cards_trident alsa_cards_usb-audio alsa_cards_via82xx
 alsa_cards_via82xx-modem alsa_cards_ymfpci alsa_pcm_plugins_adpcm alsa_pcm_plug
ins_alaw alsa_pcm_plugins_asym alsa_pcm_plugins_copy alsa_pcm_plugins_dmix alsa_
pcm_plugins_dshare alsa_pcm_plugins_dsnoop alsa_pcm_plugins_empty alsa_pcm_plugi
ns_extplug alsa_pcm_plugins_file alsa_pcm_plugins_hooks alsa_pcm_plugins_iec958 
alsa_pcm_plugins_ioplug alsa_pcm_plugins_ladspa alsa_pcm_plugins_lfloat alsa_pcm
_plugins_linear alsa_pcm_plugins_meter alsa_pcm_plugins_mulaw alsa_pcm_plugins_m
ulti alsa_pcm_plugins_null alsa_pcm_plugins_plug alsa_pcm_plugins_rate alsa_pcm_
plugins_route alsa_pcm_plugins_share alsa_pcm_plugins_shm alsa_pcm_plugins_softv
ol arts avi berkdb bitmap-fonts bluetooth cairo cdr cli cracklib crypt cups dbus
 dlloader dri dvd dvdread eds elibc_glibc emboss encode esd fam firefox gdbm gif
 gnome gstreamer gtk guile hal iconv input_devices_evdev input_devices_keyboard 
input_devices_mouse irda isdnlog jpeg kde kernel_linux lcd_devices_bayrad lcd_de
vices_cfontz lcd_devices_cfontz633 lcd_devices_glk lcd_devices_hd44780 lcd_devic
es_lb216 lcd_devices_lcdm001 lcd_devices_mtxorb lcd_devices_ncurses lcd_devices_
text ldap libg++ linguas_en lm_sensors mad madwifi mbox midi mikmod mp3 mpeg ncu
rses nls nptl nptlonly nsplugin opengl pam pcmcia pcre pdf pdflib perl png ppds 
pppd python qt3 qt4 quicktime readline real reflection sdl session spell spl ssl
 symlink tcl tcltk tcpd tk truetype truetype-fonts type1-fonts udev unicode user
land_GNU video_cards_ati video_cards_vga win32codecs x86 xine xinerama xml xorg 
xpm xprint xrandr xscreensaver xv zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTA
GE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Paul Healy 2007-01-31 19:22:08 UTC
Created attachment 108787 [details, diff]
Simple (minded) fix to get wavemon compiling with 2.6.19-gentoo-r5
Comment 2 Christian Heim (RETIRED) gentoo-dev 2007-02-10 12:06:22 UTC
Fixed in CVS, currently ~arch'ed.
Comment 3 Christian Heim (RETIRED) gentoo-dev 2007-04-16 14:55:45 UTC
Should be fixed now.